#include <bits/stdc++.h>
using namespace std;

int main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

	int n;
	cin>>n;
    int a[n];
    int b[n];
    for (int i=0; i<n; i++) {
        b[i]=0;
    }
    for (int i=0; i<n; i++) {
        cin>>a[i];
    }
    int r=1;
    int r2=0;
    int sum=a[n-1];
    int i=n-2;
    while (r<a[i] && i>=0) {
        if (a[i]==a[i+1]) {
            sum+=a[i]-r2;
            r++;
        }
        else {
            r2=r;
            sum+=a[i]-r2;
            r++;
        }
        i--;
    }
    cout << sum;
}
